body {
  background: #eaeaea;
  font-family: 'Verdana', sans-serif;
  font-size: 12px;
}

#noJavaScript {
  background: #ffffff;
  width: 100vw;
  height: 100vh;
  margin: 0;
  padding: 0;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 9999999;
}

#noJavaScript .messageContainer {
  color: #0F1419;
  max-width: 600px;
  margin: 0 auto;
  padding: 10%;
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  text-align: center;
}

#noJavaScript .messageContainer p {
  margin: 0;
  padding: 0;
}

#noJavaScript .messageContainer h1 {
  color: #48aff2;
  padding: 0;
  margin: 15px 0;
}

#noJavaScript .messageContainer .errorLogo {
  display: block;
  margin: auto;
}

#noJavaScript .messageCode {
  color: #6d6d6d;
  margin-top: 10px;
  display: block;
  font-size: 13px;
}

#background {
  position: relative;
  width: 75vw;
  margin: 0 auto;
  height: 100%;
}

#background.smallError {
  min-height: 300px;
  padding-top: 50px;
}

.functions span.customLabel {
  position: absolute;
  display: block;
  width: 275px;
  padding: 5px 0;
  background-color: #ffca00;
  box-shadow: 0 5px 10px rgb(0 0 0 / 10%);
  color: #fff;
  font-size: 11px;
  text-shadow: 0 1px 1px rgb(0 0 0 / 20%);
  text-transform: uppercase;
  text-align: center;
  right: -117px;
  top: 10px;
  transform: rotate(45deg);
}

h1 {
  display: inline-block;
  vertical-align: top;
  font-size: 22px;
  color: #646464;
  padding-left: 10px;
  margin: 0;
}

h1 span {
  display: inline-block;
  margin-right: 5px;
}

h3 {
  color: #646464;
  margin: 0;
}

h3.moduleHeading {
  display: inline-block;
}

.userHeader {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
  justify-content: space-between;
}

.functionTitle {
  display: flex;
  align-items: center;
}


/*.helpButton {
    text-decoration: none;
    background: #cfebff;
    padding: 0 4px;
    border-radius: 22px;
    margin: 10px 0 0 10px;
}

.helpIcon {
    background: #038ddb;
    font-size: 13px;
    border-radius: 15px;
    display: inline-block;
    padding: 2px 7px;
    color: #ffffff;
    cursor: pointer;
    vertical-align: middle;
}*/

.helpMenu {
  display: flex;
  margin: 0 0 0 auto;
  flex-direction: column;
}

.helpMenu li {
  list-style-type: none;
}

.helpButton {
  text-decoration: none;
  padding: 0 4px;
  border-radius: 22px;
  margin: 10px 0 0 10px;
  white-space: nowrap;
}

.helpIcon {
  background: #038ddb;
  font-size: 12px;
  border-radius: 15px;
  display: inline-block;
  padding: 0px 4px;
  color: #ffffff;
  cursor: pointer;
  vertical-align: middle;
}

.helpText {
  padding: 5px;
  color: #038ddb;
  display: inline-block;
  cursor: pointer;
  vertical-align: middle;
}

.userInfo {
  display: inline-block;
  margin-right: 10px;
}

.userName,
.userDivision,
.logOff {
  display: block;
  text-align: right;
  white-space: nowrap;
  max-width: 250px;
  overflow: hidden;
  text-overflow: ellipsis;
}

.userDivision {
  position: relative;
}

.userDivision:after {
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 7px solid #fff;
  content: "";
  display: inline-block;
  height: 0;
  margin-left: 5px;
  margin-top: 7px;
  width: 0;
}

.logOff {
  color: #038ddb;
  font-size: 10px;
  margin-top: 4px;
}

.userImageWrapper {
  position: relative;
}

.menuWrapper .menuIcon {
  display: inline-block;
  height: 22px;
  margin: 5px;
  min-width: 22px;
  width: 22px;
}

.menuGroup {
  padding: 0 10px;
}

.menuWrapper li.home a {
  font-weight: 600;
}

.menuWrapper a.icon {
  display: flex;
  align-items: center;
}

.menuWrapper #xxive-raise-error img, .menuWrapper #gmr-eol-analysis img, .menuWrapper #gmr-mg-download-data-containers img, .menuWrapper #gmr-mg-move-data-container img, .menuWrapper .customLabel {
  display: none; 
}

.menuWrapper.functionsList {
  display: none;
  padding:0;
}

.menuLeft .reportGroupHeader {
  background: #e9ebed;
  align-items: center;
  border: 1px solid hsla(0, 0%, 100%, 0);
  display: flex;
  font-size: 14px;
  margin-bottom: 5px;
  padding: 0;
}

.reportGroupHeader .closeGroup {
  filter: brightness(1.5);
}

.menuLeft .reportGroupHeader h4 {
  font-weight: 600;
  color: #646464;
  display: inline-block;
  flex: 1;
  overflow: hidden;
  padding: 5px;
  text-decoration: none;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 100%;
}


.menuWrapper .functionDescription {
  display: inline-block;
  word-break: break-word;
  vertical-align: middle;
  align-items: center;
  max-width: 190px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.profileWrapper img.userImage {
  width: 32px;
  vertical-align: top;
  position: relative;
}

.userInfoWrapper {
  cursor: pointer;
}

.mobileButton {
  margin: 0 5px;
  z-index: 4;
  cursor: pointer;
  display: none;
}

.settingsOverlay {
  display: none;
  background: #fffffff7;
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  right: 0;
  top: 0;
  z-index: 2;
}

.mySettings {
  display: none;
  border: 1px solid #1790d8;
  z-index: 3;
  position: absolute;
  background: #ffffff;
  width: 100%;
  max-width: 700px;
  transform: translateX(-50%);
  left: 50%;
  top: 45px;
  box-shadow: 0px 0px 35px -10px rgb(0 0 0 / 50%);
}

.mySettings .userLanguageWrapper {
  margin-left: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.mySettings .userLanguage {
  color: black;
  text-align: center;
  margin-bottom: 5px;
}

.nodeWrapper {
  display: flex;
}

.nodeName {
  background: #6b6b6b;
  color: #c7c7c7;
  border-radius: 5px;
  padding: 2px 5px;
  margin: 0;
  display: flex;
  justify-content: center;
}

.mySettings .userSettingsContent {
  padding: 10px;
}

.mySettings .settingsUserContainer {
  display: inline-block;
  vertical-align: middle;
}

.mySettings .settingsUserContainer a {
  color: #1790d8;   
}

.mySettings .settingsUserContainer span {
  display: block;
}

.mySettings .userSettingImage {
  height: 48px;
  margin-right: 10px;
}

.mySettings .settingsUser {
  background: #f5f5f5;
  padding: 10px;
  display: flex;
  align-items: center;
}

.mySettings .statsContainer h3.statsListH3 {
  background: #48aff2;
  margin: 10px 0;
  padding: 5px;
  color: white;
}

.mySettings .statsList {
  padding: 0;
  margin: 10px 0;
  background: #f5f5f5;
  border: 1px solid #bfbfbf;
  box-shadow: 3px 3px 0 0 rgba(0, 0, 0, 0.06);
}

.mySettings .statsList li {
  list-style-type: none;
  padding: 5px;
  display: flex;
  color: black;
  align-items: baseline;
}

.mySettings .statsList li h3 {
  color: white;
}

.mySettings .statsList .statLabel {
  width: 155px;
  flex: 155px 0 0;
  display: inline-block;
}

.mySettings .statsList .stat {
  color: #000030;
  padding: 2px 10px;
  border-radius: 10px;
  vertical-align: top;
}

.mySettings .statsList .stat.reasonStat {
  padding: 2px 0;
}

.mySettings .heading {
  background: #48aff2;
  color: white;
  margin: 0;
  padding: 5px;
  font-weight: normal;
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 16px;
}

.mySettings .heading span {
  padding-left: 0px;
  display: inline-block;
  flex: 1 1 0;
}

.mySettings .heading span.closeSettings {
  background: url(../images/closemodal.svg);
  height: 20px;
  position: absolute;
  right: 8px;
  top: 8px;
  width: 20px;
  cursor: pointer;
}

.productLogo {
  vertical-align: middle;
  margin: 0 0 15px 0;
}

.heading {
  display: flex;
  background: #48aff2;
  box-shadow: 3px 3px 0 0 rgba(0, 0, 0, 0.06);
  color: #fff;
  font-size: 20px;
  font-weight: 300;
  margin: 0 0 10px;
  padding: 0 5px;
  align-items: center;
}

.heading span {
  padding-left: 5px;
  flex: 1;
}

.heading > span {
  padding-left: 5px;
  flex: 1;
  margin-left: auto;
}

.filterInput {
  margin: 5px 0 5px 5px;
  border: none;
  height: 20px;
  padding-left: 5px;
}

.filterInputIcon {
  background: url(../images/gmr-search.svg);
  display: inline-block;
  height: 16px;
  width: 16px;
  background-size: 100%;
  margin-right: 5px;
}


/*.functionsLogo {
  margin-bottom: 10px;
}*/

.functionsLogo {
  cursor: pointer;
}

.functionsLogo img {
  display: block;
}

input {
  border: 1px solid #646464;
  width: 200px;
  background: white;
}


/*input.empty {
    color: #cecece;
}
*/

input[type='checkbox'] {
  width: auto;
}

input[type='checkbox']~.userhint {
  margin-left: 136px;
}

.required:after {
  content: ' *';
  color: red;
}

.userhint {
  background: #57b8f3;
  border: 1px solid #1990d8;
  color: white;
  margin: 0 5px;
  padding: 1px 5px;
  border-radius: 30px;
  font-size: 10px;
}

.form ul li span.userhintcontent {
  display: none;
}

.userhint:hover+.userhintcontent {
  position: absolute;
  display: inline-block;
  background: #e3f4ff;
  box-shadow: 0 0 0 1px #1990d8;
  padding: 3px;
  color: #646464;
  min-width: 150px;
  max-width: 200px;
}

.userhint:hover+.userhintcontent.overflowing {
  right: 36px;
}

.step2 #chooseFilter {
  min-height: 100px;
  margin-top: 10px;
  background: #f5f5f5;
  border: 1px solid #bfbfbf;
  padding: 10px;
}

.form.presets {
  margin: 20px 0 0 0;
}

.form {
  margin: 0;
}

.form ul {
  margin: 0;
  padding: 0;
}

.form .functions {
  display: grid;
  padding: 5px;
  grid-template-columns: repeat(auto-fill, 265px);
  justify-content: center;
  gap: 15px;
  padding: 5px;
}

.divisionsMultiWrapper .select2-result-single {
  width: 100%;
}

.form .functions li {
  display: inline-block;
  margin: 5px;
  position: relative;
  overflow: hidden;
}

.form.presets ul li {
  display: flex;
}

.form ul li {
  text-decoration: none;
  display: block;
  margin: 10px 0;
}

.form ul li span {
  display: inline-block;
  word-break: break-word;
}

.functionDescription {
  display: inline-block;
  word-break: break-word;
  vertical-align: middle;
  width: 85%;
}

.form ul .button {
  margin: 0;
  display: inline-block;
}

.form ul label {
  width: 215px;
  flex: 215px 0 0;
  display: inline-block;
  vertical-align: top;
  white-space: nowrap;
  margin-right: 10px;
}

.select2-drop ul li ul {
  width: 100%;
}

.otherProducts {
  display: flex;
  flex-direction: row;
}

.otherProducts li {
  list-style-type: none;
  margin-left: auto;
}

.functionButton {
  display: inline-block;
  background: #1EC74E;
  border: 0;
  border-radius: 5px;
  padding: 10px 15px 7px 10px;
  color: #FFFFFF;
  font-size: 13px;
  margin: 5px 0 0 0;
  border-bottom: 4px solid #179C3D;
  cursor: pointer;
  text-decoration: none;
  text-align: center;
}

.cg-busy-backdrop {
  background-color: #656565!important;
}

.requestButton {
  background: #8fc800;
  border: 1px solid #498202;
  border-radius: 0.25rem;
  box-shadow: 2px 3px 0 hsla(0, 0%, 69%, 0.25);
  color: #fff;
  cursor: pointer;
  display: inline-block;
  font-size: 1em;
  font-weight: 400;
  line-height: 1.5;
  margin: 3px;
  min-width: 215px;
  padding: 0.375rem 0.75rem;
  text-align: center;
  text-decoration: none;
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
  vertical-align: middle;
  white-space: nowrap;
}

.functionButton {
  text-align: left;
  display: flex;
  align-items: center;
  min-height: 48px;
  margin: 0;
}

.requestButton.goParam {
  text-align: left;
}

.functionButton>img {
  display: none;
}

.explanationWrap.hide {
  display: none;
}

.explanationImageWrapper.hide {
  display: none;
}

.explanationWrap {
  margin-top: 10px;
  display: flex;
}

.explanationContent.maxHeight {
  height: 42px;
  max-height: 42px;
  overflow: hidden;
  padding: 5px;
  position: relative;
  transition: max-height .5s ease-out;
}

.explanationContent.maxHeight:after {
  content: '';
  background: url(../images/more.svg);
  display: block;
  height: 16px;
  width: 16px;
  position: absolute;
  bottom: 0px;
  left: 50%;
  transform: translateX(-50%);
  background-size: 16px;
}

.explanationContent.maxHeight.more:after {
  content: '';
  transform: translateX(-50%) scaleY(-1);
  overflow: unset;
  bottom: -10px;
}

.explanationContent.maxHeight.more {
  height: auto;
  max-height: 1000px;
  overflow: unset;
  padding: 5px;
  transition: max-height .5s ease-out;
}

.explanationContent.maxHeight:before {
  content: '';
  width: 100%;
  display: inline-block;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
  background: linear-gradient(transparent 20px, white);
}

.explanationContent.maxHeight.more:before {
  content: '';
  background: none;
}

.explanationWrap p {
  vertical-align: top;
  margin: 0;
  color: #646464;
}

.explanationIcon {
  display: inline-block;
  vertical-align: top;
  width: 48px;
  border: 1px solid #ffffff;
  box-shadow: 2px 2px 0 #b0b3b8;
  margin-right: 10px;
}

.functionButton.icon>img {
  display: inline-block;
  width: 48px;
  margin-right: 7px;
  vertical-align: middle;
}

.requestButtonAnchor {
  background: #1EC74E;
  border-radius: 5px;
  padding: 10px 15px 7px 15px;
  color: #FFFFFF;
  font-size: 13px;
  border-bottom: 4px solid #179C3D;
  text-decoration: none;
  display: inline-block;
}

.powered {
  display: block;
  text-align: right;
  margin: 10px 0 0 0;
  font-size: 11px;
  color: #7b7b7b;
  margin-left: auto;
}

.powered a {
  color: #1890d8
}

.slideIn2,
.slideIn3 {
  display: none;
}

.back {
  background: #abb7c7ab;
  border-bottom: 4px solid #a7a8a9ab;
}

.firststep {
  width: 100%;
}

.successModal {
  display: none;
  position: absolute;
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
  width: 200px;
  height: 75px;
  text-align: center;
  font-size: 15px;
  color: #646464;
  background: #ffffff;
  border: 4px dotted #1890d8;
  outline: 1px solid white;
  line-height: 75px;
}

div[class^="step"] {
  position: relative;
}

.overlayModal {
  display: none;
  background: rgba(255, 255, 255, 0.8);
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.errorMessage {
  display: none;
  position: absolute;
  z-index: 3;
  width: 95%;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: white;
  border: 1px solid #038ddb;
  overflow: auto;
}

.errorOverlay {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.9);
  z-index: 2;
  top: 0;
  left: 0;
}

.errorMessage pre {
  background: #f1f8ff;
  border: 1px solid #82beff;
  padding: 10px;
  white-space: pre-wrap;
  max-height: 200px;
  overflow: auto;
}

.errorMessage.er500 .pre .message {
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
}

.errorMessage h1 {
  display: block;
  background: #0793dc;
  color: white;
  padding: 3px 5px;
  font-weight: normal;
  font-size: 20px;
}

.errorMessage.er500 h1 {
  margin-top: -15px;
}


/*.errorMessage p {    
    background: #ffd8d8;    
    border: 1px solid #d66d6d;    
    padding: 10px; 
}*/

.footer,
.buttonbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer .version {
  background: #1990d8;
  color: white;
  border: 1px solid white;
  border-radius: 4px;
  box-shadow: 2px 2px 0 #f1f1f1;
  padding: 1px 4px;
  margin-top: 10px;
}

.footer .version:empty {
  padding:8px 2px;
  width: 75px
}

.download.hide {
  display: none;
}

.download.hide.show {
  display: block;
  margin: 5px;
  width: 80%;
}

.reportGroupHeader {
  background: #038ddb;
  padding: 5px;
  color: white;
  margin: 0;
  display: block;
  position: relative;
  align-items: center;
  color: #fff;
  display: flex;
  flex-shrink: 0;
  font-size: 19px;
  font-weight: 200;
}

.reportGroup {
  display: flex;
  flex-direction: column;
  background: #fff;
  border: 1px solid #dee0e3;
  box-shadow: 2px 3px 0 #dee0e3;
  margin-bottom: 10px;
}

.menuGroup {
  cursor: pointer;
}

.reportGroup.custom {
  background: white;
  border: 1px solid #868686;
}

.custom .requestButton, .custom .functionButton {
  background: #4db5f8;
  color: #FFFFFF;
  border-bottom: 4px solid #008bde;
}

h4 {
  margin: 0;
  font-weight: normal;
}

.closeGroup.collapse {
  background: url(../images/cloud-icon-sprite.svg);
  position: relative;
  background-repeat: no-repeat;
  background-position: 0 55.5%;
  background-size: 200%;
  transform: none;
  flex: 16px 0 0;
}

.closeGroup {
  background: url(../images/cloud-icon-sprite.svg);
  position: relative;
  background-repeat: no-repeat;
  background-position: 0 55.5%;
  background-size: 200%;
  transform: scaleY(-1);
  width: 16px;
  height: 16px;
  margin-right: 5px;
  flex: 16px 0 0;
}

.reportGroup .reportGroupHeader .closeGroup {
  margin-left:auto
}

#container {
  height: 100%;
}

.errorMessage h3 {
  background: #1890d8;
  color: white;
  padding: 10px;
  margin-bottom: 5px;
  font-size: 13px;
}

.errorMessage .pre {
  position: relative;
  display: block;
  padding: 5px;
  background: #f1f8ff;
  border: 1px solid #82beff;
  margin: 10px;
}

.errorMessage .helpTips {
  display: none;
}

.errorMessage .hintsWrapper .tipLinks {
  margin: 10px 10px 0;
  overflow-y: auto;
  padding: 0;
}

.errorMessage .hintsWrapper .hintsContent {
  background: url(../images/wiki.svg);
  background-repeat: no-repeat;
  background-size: 16px;
  list-style-type: none;
  padding: 0 0 5px 24px;
}

.errorMessage .hintsWrapper .hintsContent a:after {
  background: url(../images/external-link.svg);
  background-size: 100%;
  content: "";
  display: block;
  flex: 12px 0 0;
  height: 12px;
  margin-left: 10px;
  width: 12px;
}

.errorMessage .hintsWrapper .hintsContent a {
  align-items: baseline;
  color: #128ddf;
  display: flex;
  font-weight: 600;
}

.errorMessage .helpTips p {
  margin: 0;
}

.errorMessage .helpTips p.tipsBar {
  background: #1890d8;
  color: white;
  padding: 3px;
  margin-bottom: 5px;
}

.errorMessage .pre.naturalKeyWrapper, .errorMessage .pre.uidWrapper {
  display: flex;
  color: #b9b9b9;
}

.errorMessage .pre.naturalKeyWrapper span, .errorMessage .pre.uidWrapper span {
  color: #b9b9b9;
}

.errorMessage .pre.naturalKeyWrapper span.naturalKey, .errorMessage .pre.uidWrapper span.uid {
  margin-left: 5px;
}

.errorMessage .closeError {
  background: url(../images/closemodal.svg);
  height: 20px;
  position: absolute;
  right: 8px;
  top: 8px;
  width: 20px;
  cursor: pointer;
}

.errorMessage .preList {
  display: flex;
  list-style: none;
  padding: 5px;
}

.errorMessage .statusIcon {
  display: block;
  margin: 0 auto;
  width: 48px;
}

.errorMessage .statusContainer {
  display: inline-block;
  font-size: 10px;
  text-align: center;
  vertical-align: middle;
  margin-right: 5px;
}

.errorMessage .closeContainer {
  text-align: right;
  margin: 0;
}

.errorMessage .closeBtn {
  background-color: #48aff2;
  border: 0;
  border-radius: 3px;
  color: #fff;
  display: inline-block;
  font-size: 13px;
  font-weight: 700;
  margin: 10px;
  min-width: 40px;
  padding: 7px;
  position: relative;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
}

.errorMessage .pre span.messageSpan {
  margin: 0;
  white-space: normal;
  display: inline;
}

.errorMessage .hintsWrapper {
  background: url(../images/knowledge.svg) #eff7ff;
  background-position: 100%;
  background-repeat: no-repeat;
  background-size: 14vh;
  border: 1px solid #48aef2;
  margin: 5px 0 5px;
  max-width: 750px;
  padding: 10px;
}

.ui-select-header {
  font-size: 12px;
}


/*--.moduleWrap {
  float: right;  
  text-decoration: none;
}

.moduleHelp {
  background: #ffc300;
  font-size: 13px;
  border-radius: 15px;
  box-shadow: 0 2px 0px #deab00;
  padding: 2px 7px;
  color: #ffffff;
  cursor: pointer;
}

.moduleText {
  padding: 5px;
  color: #646464;
  display: inline-block;
  text-decoration: underline;
  cursor: pointer;
}--*/

.moduleHeadingWrapper {
  display: flex;
  align-items: center;
}

.moduleWrap.copyClipboard {
  margin-left: auto;
}

.moduleWrap.copyClipboard:after {
  content: '';
  background: url(../images/copy.svg);
  background-size: cover;
  height: 19px;
  width: 19px;
  display: inline-block;
  filter: contrast(0);
}

.moduleHelp.moduleHelp:after {
  content: '';
  background: url(../images/modulehelp.svg);
  background-size: cover;
  height: 14px;
  width: 14px;
  display: inline-block;
  filter: contrast(0);
}

.moduleWrap {
  font-size: 13px;
  border-radius: 16px;
  color: #ffffff;
  cursor: pointer;
  vertical-align: middle;
  display: flex;
  width: 32px;
  height: 32px;
  align-items: center;
  justify-content: center;
  margin: 0 5px;
}

.mainAppTitle {
  cursor: pointer;
}

.moduleText {
  padding: 5px;
  color: #64646c;
  display: inline-block;
  text-decoration: underline;
  cursor: pointer;
  vertical-align: middle;
}

.statusCheck {
  display: none;
}

.status {
  display: none;
}

.indicator {
  text-align: right;
  text-decoration: none;
  display: flex;
  border-radius: 4px;
  padding: 2px 5px;
  color: white;
  margin: 0 0 0 10px;
  background: #58bcee;
  border: solid #027ab5;
  border-width: 1px 1px 3px 1px;
  cursor: pointer;
  margin-left: auto;
}

.indicatorIcon {
  display: inline-block;
  width: 10px;
  height: 10px;
  border-radius: 10px;
  vertical-align: middle;
  border: 1px solid white;
  animation: blink 1s;
  animation-iteration-count: 3;
}

@keyframes blink {
  50% {
    background: #fff;
    border: 1px solid #fff;
  }
}

.none {
  background: #19b719;
}

.minor {
  background: orange;
}

.major {
  background: red;
}

.critical {
  background: #b70404;
}

.label {
  display: inline-block;
  vertical-align: middle;
  font-size: .8em;
  color: #646464;
}

.indicator .label {
  color: #ffffff;
  margin-left: 3px;
}

.betaRibbon {
  display: none;
  position: absolute;
  right: -16px;
  top: -16px;
  z-index: 1;
  overflow: hidden;
  width: 75px;
  height: 75px;
  text-align: right;
}

.betaRibbon.show {
  display: block;
}

.betaRibbon span {
  font-size: 10px;
  font-weight: bold;
  color: #FFF;
  text-transform: uppercase;
  text-align: center;
  line-height: 20px;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  width: 100px;
  display: block;
  background: #79A70A;
  background: linear-gradient(#ff6a13 0%, #e27200 100%);
  box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
  position: absolute;
  top: 19px;
  right: -21px;
}

.betaRibbon span:before {
  content: "";
  position: absolute;
  left: 0px;
  top: 100%;
  z-index: -1;
  border-left: 3px solid #a04e00;
  border-right: 3px solid transparent;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #a04e00;
}

.betaRibbon span:after {
  content: "";
  position: absolute;
  right: 0px;
  top: 100%;
  z-index: -1;
  border-left: 3px solid transparent;
  border-right: 3px solid #a04e00;
  border-bottom: 3px solid transparent;
  border-top: 3px solid #a04e00;
}

.ng-dirty.ng-invalid>a.select2-choice {
  border-color: #aaa!important;
}

.copiedClipboard {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: #1890d8;
  padding: 30px;
  color: #ffffff;
  z-index: 2;
  font-size: 14px;
}

.mySettings span.licenseText {
  color: black;
  text-align: center;
  margin-bottom: 5px;
}

.attentionBox {
  display: none;
  background: #ffe1e1;
  border: 1px solid #c92f1a;
  margin: 10px 0;
  padding: 5px;
}

.attentionBox.show {
  display: block;
}

.attentionBox h4 {
  margin: 0 0 5px 0;
  padding: 3px 0;
  background: #c92f1a;
  color: white;
  text-align: center;
  font-size: 14px;
}

.attentionBox p {
  margin: 0;
  padding: 0;
}

.attentionBox a {
  color: #c92f1a;
  font-weight: 600;
}

.attentionCloud {
  text-align: center;
  background: #ffe1e1;
  background-image: linear-gradient(45deg, #ffe8e8 25%, #ffe0e0 25%, #ffe0e0 50%, #ffe8e8 50%, #ffe8e8 75%, #ffe0e0 75%, #ffe0e0 100%);
  background-size: 56.57px 56.57px;
  border: 1px solid #c92f1a;
  margin: 10px 0;
  padding: 5px;
}

.attentionCloud h4 {
  margin: 0;
  padding: 5px;
  color: white;
  background: #c92f1a;
}

.attentionCloud p a {
  color: #c92f1a;
  font-weight: bold;
}

.errorMessage .errorWrapper {
  display: flex;
  flex-direction: column;
}

.errorMessage .errorWrapper .back-button {
  background: #1EC74E;
  border: 0;
  border-radius: 5px;
  padding: 10px 30px 7px 30px;
  color: #FFFFFF;
  font-size: 12px;
  margin: 10px 0;
  border-bottom: 4px solid #179C3D;
  cursor: pointer;
  text-decoration: none;
  text-align: center;
  display: flex;
  margin-right: auto;
  justify-content: center;
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container.select2-allowclear .select2-choice abbr {
  display: none
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container.select2-allowclear .select2-choice abbr {
  display: none
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container.select2-allowclear .select2-choices abbr {
  display: none
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container.select2-allowclear .select2-choices abbr {
  display: none
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choice .select2-arrow {
  display: none;
}
 
.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choice .select2-arrow {
  display: none;
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choices .select2-arrow {
  display: none;
}
 
.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choices .select2-arrow {
  display: none;
}
 
.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choice {
  background-image: none;
  background: none;
  border:0;
  color: black;
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choice {
  background-image: none;
  background: none;
  border:0;
  color: black;
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choices {
  background-image: none;
  background: none;
  border:0;
  color: black;
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choices {
  background-image: none;
  background: none;
  border:0;
  color: black;
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choices {
  background-image: none;
  background: none;
  border:0;
  color: black;
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choices {
  background-image: none;
  background: none;
  border:0;
  color: black;
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choices span li {
  background-image: none;
  background: none;
  border:0;
  color: black;
  box-shadow: none;
  padding: 0;
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choices span li {
  background-image: none;
  background: none;
  border:0;
  color: black;
  box-shadow: none;
  padding: 0;
}

.gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choices span li .ui-select-match-close.select2-search-choice-close {
  display: none;
}

.gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choices span li .ui-select-match-close.select2-search-choice-close {
  display: none;
}

.divisionsMultiWrapper .gmr-eol-lov-divisions-multi.singleDivision ul.select2-choices:after {
  content: "";
  display: none;
}

.divisionsMultiWrapper .gmr-eol-lov-divisions-single.singleDivision ul.select2-choices:after {
  content: "";
  display: none;
}

.divisionsMultiWrapper .gmr-eol-lov-divisions-single.singleDivision {
  width: auto !important;
}

.divisionsMultiWrapper .gmr-eol-lov-divisions-multi.singleDivision {
  width: auto !important;
}

.form ul li span.ui-select-match
{
  display: block;
}

.selectAll, .selectDefault {
  background: #0f78bd;
  padding: 2px 5px;
  margin: 0 2px;
  cursor: pointer;
  border-radius: 3px;
  color: white;
  box-shadow: 2px 3px 0 rgba(0, 0, 0, 0.25);
  text-shadow: 0 1px 2px rgba(0, 0, 0, 0.25);
  font-size: 11px;
}

.gmr-eol-lov-divisions-multi > ul {
  max-height: 100px;
  overflow-y: auto!important;
}

.divisionsMultiWrapper {
  display: inline-block;
  vertical-align: middle;
  flex: 1 0 0;
}

.select2-container {
  width: 100%!important;
}

li.division_codes .userhint {
  vertical-align: top;
}

.form ul li span.selectCounterWrapper {
  display: none;
  color: white;
  font-size: 11px;
  background: #484848;
  padding: 2px 5px;
  border-radius: 4px;
}

.form ul li span.selectCounterWrapper.show {
  display: flex;
  margin-left: auto;
}

.selectCounter {
  margin-right: 5px;
}

.selectionButtons {
  margin-top: 5px;
  display: flex;
}

.divisionsMultiWrapper .gmr-eol-lov-divisions-multi ul.select2-choices:after {
  content: '';
  background: url(../images/gmr-search-multi.svg);
  display: block;
  position: absolute;
  right: 5px;
  width: 16px;
  height: 16px;
  background-size: 100%;
  background-repeat: no-repeat;
  top: 5px;
}

.select2-search-field [type="search"]::-webkit-search-cancel-button {
  -webkit-appearance: none;
  appearance: none;
  height: 8px;
  width: 8px;
  background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iaXNvLTg4NTktMSI/Pg0KPCEtLSBHZW5lcmF0b3I6IEFkb2JlIElsbHVzdHJhdG9yIDE2LjAuMCwgU1ZHIEV4cG9ydCBQbHVnLUluIC4gU1ZHIFZlcnNpb246IDYuMDAgQnVpbGQgMCkgIC0tPg0KPCFET0NUWVBFIHN2ZyBQVUJMSUMgIi0vL1czQy8vRFREIFNWRyAxLjEvL0VOIiAiaHR0cDovL3d3dy53My5vcmcvR3JhcGhpY3MvU1ZHLzEuMS9EVEQvc3ZnMTEuZHRkIj4NCjxzdmcgdmVyc2lvbj0iMS4xIiBpZD0iQ2FwYV8xIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIiB4PSIwcHgiIHk9IjBweCINCgkgd2lkdGg9IjEyMy4wNXB4IiBoZWlnaHQ9IjEyMy4wNXB4IiB2aWV3Qm94PSIwIDAgMTIzLjA1IDEyMy4wNSIgc3R5bGU9ImVuYWJsZS1iYWNrZ3JvdW5kOm5ldyAwIDAgMTIzLjA1IDEyMy4wNTsiDQoJIHhtbDpzcGFjZT0icHJlc2VydmUiPg0KPGc+DQoJPHBhdGggZD0iTTEyMS4zMjUsMTAuOTI1bC04LjUtOC4zOTljLTIuMy0yLjMtNi4xLTIuMy04LjUsMGwtNDIuNCw0Mi4zOTlMMTguNzI2LDEuNzI2Yy0yLjMwMS0yLjMwMS02LjEwMS0yLjMwMS04LjUsMGwtOC41LDguNQ0KCQljLTIuMzAxLDIuMy0yLjMwMSw2LjEsMCw4LjVsNDMuMSw0My4xbC00Mi4zLDQyLjVjLTIuMywyLjMtMi4zLDYuMSwwLDguNWw4LjUsOC41YzIuMywyLjMsNi4xLDIuMyw4LjUsMGw0Mi4zOTktNDIuNGw0Mi40LDQyLjQNCgkJYzIuMywyLjMsNi4xLDIuMyw4LjUsMGw4LjUtOC41YzIuMy0yLjMsMi4zLTYuMSwwLTguNWwtNDIuNS00Mi40bDQyLjQtNDIuMzk5QzEyMy42MjUsMTcuMTI1LDEyMy42MjUsMTMuMzI1LDEyMS4zMjUsMTAuOTI1eiIvPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPGc+DQo8L2c+DQo8Zz4NCjwvZz4NCjxnPg0KPC9nPg0KPC9zdmc+DQo=);
  background-size: 100%;
  right: 15px;
  position: absolute;
}

.infoWrapper {
  display: flex;
  flex-direction: column;
}

.form ul li.division_codes {
  display: flex;
  align-items: flex-start;
}

.unavailableStats {
  font-weight: 100;
  color: grey;
  margin-bottom: 5px;
}

.unavailableStats .inactiveCount {
  margin-left: 5px;
}

.unavailableStats .outsideSACount {
  margin-left: 5px;
}

.unavailableStats .unknownCount {
  margin-left: 5px;
}

.unavailableInfo {
  margin-left: 3px;
}

.unavailableList {
  color: #6b6b6b;
  width: 250px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: pre-wrap;
}

.statsList .reasonStat {
  padding: 0 0 0 10px;
}

.statsList .reasonLabel {
  display: flex;
  padding: 2px 0;
}

.statsList .reasonLabel:before {
  content: ": ";
  padding-right: 5px;
}

.userLang {
  background: #6b6b6b;
  color: #c7c7c7;
  border-radius: 5px;
  padding: 2px 5px;
  margin-right: 5px;
  width: 100%;
  display: flex;
  justify-content: center;
}

@media only screen and (min-device-width: 320px) and (max-device-width: 480px) {
  .gmr-eol-lov-divisions-single,
  .gmr-eol-lov-divisions-multi,
  .gmr-lov-output-formats {
    width: calc(100% - 48px)!important;
  }
  #background {
    overflow: scroll;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    margin: 0;
  }
  h1 {
    font-size: 15px;
  }
  .form ul .button {
    display: inline-block;
    text-align: center;
    width: 100%;
  }
  .form ul li select {
    width: 100%;
    margin-top: 5px;
  }
  .requestButton {
    margin: 5px;
  }
  #background {
    padding: 10px 10px 5px 10px;
  }
  .heading span {
    font-size: 14px;
  }
  input {
    width: 100px;
  }
  .userHeader {
    flex-direction: column;
  }
  .userInfo {
    display: inline-block;
    vertical-align: middle;
    text-align: left;
    max-width: 85%;
    margin-right: 10px;
  }
  .userName {
    text-align: right;
  }
  .userImage {
    display: block;
  }
  .userImageWrapper {
    text-align: right;
  }
  .infoWrapper,
  .userImageWrapper {
    padding: 5px;
  }
  .infoWrapper {
    margin-left: auto;
  }
  .userhint:hover+.userhintcontent {
    min-width: auto;
  }
}

@media only screen and (min-device-width: 320px) and (max-device-width: 480px) and (orientation: landscape) {
  input {
    width: 150px;
  }
}

@media only screen and (min-device-width: 320px) and (max-device-width: 567px) {
  .helpMenu {
    flex-direction: row;
  }
  #background {
    overflow: scroll;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    margin: 0;
    top: 0;
  }
  h3.moduleHeading {
    flex: 1;
  }
  h1 {
    font-size: 20px;
  }
  .form ul .button {
    display: inline-block;
    text-align: center;
    width: 100%;
  }
  .form ul li select {
    width: 100%;
    margin-top: 5px;
  }
  .requestButton {
    margin: 5px;
    width: 80%;
  }
  #background {
    padding: 10px 10px 5px 10px;
  }
  .heading span {
    font-size: 14px;
  }
  .product-logo {
    width: 24px;
  }
  .form ul label {
    width: 150px;
    margin-right: 3px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
  .form .functions {
    flex-flow: column;
    align-items: center;
  }
  .form .functions li {
    flex: 1;
    margin: 5px 0;
  }
  #background {
    height: calc(100% - 20px);
  }
}

@media only screen and (min-device-width: 414px) and (max-device-width: 824px) and (orientation: portrait) {
  #background {
    height: calc(100% - 20px);
  }
}

@media only screen and (min-device-width: 414px) and (max-device-width: 824px) {
  .gmr-eol-lov-divisions-single,
  .gmr-eol-lov-divisions-multi,
  .gmr-lov-output-formats {
    width: calc(60% - 48px)!important;
  }
  #background {
    overflow: scroll;
    padding: 10px 10px 5px 10px;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    margin: 0;
    top: 0;
  }
  h1 {
    font-size: 20px;
    width: auto;
  }
  .form ul .button {
    text-align: center;
  }
  .form ul li {
    margin: 5px 0;
  }
  .form ul li select {
    width: 100%;
    margin-top: 5px;
  }
  .requestButton {
    margin: 5px;
    width: 80%;
  }
  .functionButton {
    width: 190px;
  }
  .heading span {
    font-size: 14px;
  }
  .form .functions {
    justify-content: space-between;
  }
}

@media only screen and (max-device-width: 320px) {
  .form ul label {
    width: 100%;
    display: block;
    margin-bottom: 5px;
  }
}

@media only screen and (max-device-width: 320px) and (orientation: portrait) {
  input {
    width: 150px;
  }
  .requestButton.back {
    width: 20%;
  }
  .filterInput {
    margin-right: 5px;
    border: none;
    height: 20px;
    padding-left: 5px;
    width: 100px;
  }
  .powered {
    display: none;
  }
}

@media only screen and (max-width: 955px) {
  
  .userhint:hover+.userhintcontent {
    display: none;
  }
}

@media (prefers-color-scheme: dark) {
  body {
   background: #191919;
  }
  #background {

  }
  .step2 #chooseFilter {
    background: #4c4c4c;
  }
  .customWrapper.active {
    background: #484848;
  }
  #valutaForm, .form ul .optionsWrapper label {
   color: white;
  }
  h1 {
    color: #ffffff;
  }
  .heading {
    background: #3e3e3e;
    color: #fff;
  }
  .settingsOverlay {
    background: #313131f7;
  }
  .mySettings {
    border: 1px solid #000000;
    background: #666666;
  }
  .mySettings .statsList {
    background: #4c4c4c;
    box-shadow: 3px 3px 0 0 rgba(0, 0, 0, 0.06);
    border: 1px solid #bfbfbf;
  }
  .statsList .stat {
    color: #ffffff;
  }
  .statsList .statLabel {
    color: white;
  }
  .settingsUser {
    background: #303030;
  }
  .mySettings .settingsUserContainer span, .mySettings .settingsUserContainer a {
    color: white;
  }
  .errorOverlay {
    background: rgb(42 42 42 / 90%);
  }
  .errorMessage {
    background: #3a3a3a;
    border: 1px solid #747474;
  }
  .errorMessage h1 {
    background: #191919;
  }
  .errorMessage h3 {
    background: #2a2a2a;
  }
  .errorMessage .pre {
    background: #646464;
    border: 1px solid #2a2a2a;
    color: white;
  }
  .errorMessage .closeError {
    color: #000000;
  }
  .mySettings .userLanguage {
   color: white;
  }
  .userInfo {
    color: white;
  }
  .heading span.closeSettings {
    color: #303030;
  }
  .helpButton {
    background: #5a5a5a;
  }
  .helpIcon {
    background: #000000;
  }
  .heading span {
    color: white;
  }
  .reportGroup, .reportGroup.custom {
    background: #282828;
    border: 1px solid #646464;
    box-shadow: 2px 3px 0 #3c3c3c;
  }
  .helpText {
    color: white;
  }
  .label {
    color: #ffffff;
  }
  h3 {
    color: #ffffff;
  }
  .explanationWrap p {
    color: #ffffff;
  }
  .mySettings .heading {
    background: #3e3e3e;
  }
  .mySettings .settingsUser {
    background: #303030;
  }
  .mySettings .statsList li {
    background: #4c4c4c;
    color: white;
  }
  .mySettings .statsList .stat {
    color: #ffffff;
  }
  .requestButton {
    background: #5b7e02;
    box-shadow: 2px 3px 0 rgba(0, 0, 0, 0.25);
  }
  .functionButton {
    background: #10702c;
    border-bottom: 4px solid #094219;
  }
  .requestButton.back{
    background: #484848;
    border-bottom: 4px solid #343434;
  }
  .custom .requestButton, .custom .functionButton {
    background: #285e81;
    border-bottom: 4px solid #00395a;
  }
  .mySettings .userLanguage {
    color: white;
  }
  .mySettings .heading span.closeSettings {
    color: #303030;
  }
  .indicator {
    background: #306c8b;
    border: solid #004668;
    border-width: 1px 1px 3px 1px;
  }
  .footer .version {
    background: #105b89;
  }
  .userhint:hover+.userhintcontent {
    background: #5a6d78;
    box-shadow: 0 0 0 1px #0d4364;
    color: #ffffff;
  }
  .userhint {
    background: #4087b3;
    border: 1px solid #115e8d;
  }
  .gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choice {
    color: white;
  }
  .gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choice {
    color: white;
  }
  .gmr-eol-lov-divisions-single.singleDivision.select2-container .select2-choices span li {
    color: white;
  }
  .gmr-eol-lov-divisions-multi.singleDivision.select2-container .select2-choices span li {
    color: white;
  }
  .errorMessage .helpTips p.tipsBar {
    background: #2a2a2a;
  }
  .errorMessage .hintsWrapper {
    background: url(../images/knowledge.svg) #2a2a2a;
    background-position: 100%;
    background-repeat: no-repeat;
    background-size: 14vh;
  }
  .errorMessage .hintsWrapper .hintsContent a {
    color: #48aff2;
  }
  .menuLeft .reportGroupHeader {
    background: #323232;
  }
  .menuLeft .reportGroupHeader h4 {
    color: #fff;
  }
  .reportGroupHeader {
    background: #646464;
  }
  .menuWrapper li.menuItem.active {
    background: #444;
  }
  .mySettings .statsContainer h3.statsListH3 {
    background: #2a2a2a;
  }
  .mySettings span.licenseText {
    color: white;
  }
  .moduleWrap.copyClipboard:after {
    content: '';
    filter: contrast(1);
  }
  .moduleHelp.moduleHelp:after {
    content: '';
    filter: contrast(1);
  }
  #noJavaScript {
    background: #191919
  }
  #noJavaScript .messageContainer {
    color: #ffffff;
  }
  .overlayModal {
    display: none;
    background: #060606cc;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
  }
}